package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope.view;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_NUM_SCHEMA"
)
public class TNumSchema extends TBaseEntity {
   private String project_name;
   private String description_name;
   private String datasystem_name;
   private String schema_name;
   private String table_num;
   private String field_num;
   private String description_type;

   public String getProject_name() {
      return this.project_name;
   }

   public void setProject_name(String project_name) {
      this.project_name = project_name;
   }

   public String getDescription_name() {
      return this.description_name;
   }

   public void setDescription_name(String description_name) {
      this.description_name = description_name;
   }

   public String getDatasystem_name() {
      return this.datasystem_name;
   }

   public void setDatasystem_name(String datasystem_name) {
      this.datasystem_name = datasystem_name;
   }

   public String getSchema_name() {
      return this.schema_name;
   }

   public void setSchema_name(String schema_name) {
      this.schema_name = schema_name;
   }

   public String getTable_num() {
      return this.table_num;
   }

   public void setTable_num(String table_num) {
      this.table_num = table_num;
   }

   public String getField_num() {
      return this.field_num;
   }

   public void setField_num(String field_num) {
      this.field_num = field_num;
   }

   public String getDescription_type() {
      return this.description_type;
   }

   public void setDescription_type(String description_type) {
      this.description_type = description_type;
   }
}
